This site is deprecated; docs have moved to docs.inspircd.org!

Historical:Linking Compatibility

From the makers of InspIRCd.
Revision as of 13:24, 8 December 2006 by Special (Talk | contribs)

Jump to: navigation, search

This page lists which versions of InspIRCd can successfully link with each other. An 'XX' in the table where two versions meet indicates that these versions are link-compatible.

  1.0 Alpha 11 - 1.0 Beta 5 1.0 Beta 6 - 1.0 RC1 1.0 RC2 - 1.0.0 1.0.1 1.0.2 1.0.3 1.0.4 1.0.5 1.0.6 1.0.7 1.1 Alpha 1.1 Beta 1 1.1 Beta 2 1.1 Beta 3
1.0 Alpha 11 - 1.0 Beta 5 XX -- -- -- -- -- -- -- -- -- -- -- -- --
1.0 Beta 6 - 1.0 RC1 -- XX * XX * -- -- -- -- -- -- -- -- -- -- --
1.0 RC2 - 1.0.0 -- XX * XX * -- -- -- -- -- -- -- -- -- -- --
1.0.1 -- -- -- XX XX XX XX XX XX XX -- -- -- --
1.0.2 -- -- -- XX XX XX XX XX XX XX -- -- -- --
1.0.3 -- -- -- XX XX XX XX XX XX XX -- -- -- --
1.0.4 -- -- -- XX XX XX XX XX XX XX -- -- -- --
1.0.5 -- -- -- XX XX XX XX XX XX XX -- -- -- --
1.0.6 -- -- -- XX XX XX XX XX XX XX -- -- -- --
1.0.7 -- -- -- XX XX XX XX XX XX XX -- -- -- --
1.1 Alpha -- -- -- -- -- -- -- -- -- -- XX -- -- --
1.1 Beta 1 -- -- -- -- -- -- -- -- -- -- -- XX -- --
1.1 Beta 2 -- -- -- -- -- -- -- -- -- -- -- -- XX --
1.1 Beta 3 -- -- -- -- -- -- -- -- -- -- -- -- -- XX

* The 1.0.0 Beta 6 through 1.0 RC1 had a different method for representing (and dealing with) channel timestamps. This does not usually affect services packages, which may state 'Compatible with Beta 6 and above'. These will still operate properly.